Get users

Returns a stream of users, filtered according to query parameters.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

realmstringRequired

Query parameters

briefRepresentationbooleanOptional

Boolean which defines whether brief representations are returned (default: false)

emailstringOptional
A String contained in email, or the complete email, if param "exact" is true
emailVerifiedbooleanOptional
whether the email has been verified
enabledbooleanOptional
Boolean representing if user is enabled or not
exactbooleanOptional
Boolean which defines whether the params "last", "first", "email" and "username" must match exactly
firstintegerOptional
Pagination offset
firstNamestringOptional
A String contained in firstName, or the complete firstName, if param "exact" is true
idpAliasstringOptional
The alias of an Identity Provider linked to the user
idpUserIdstringOptional
The userId at an Identity Provider linked to the user
lastNamestringOptional
A String contained in lastName, or the complete lastName, if param "exact" is true
maxintegerOptional

Maximum results size (defaults to 100)

qstringOptional

A query to search for custom attributes, in the format ‘key1:value2 key2:value2’

searchstringOptional

A String contained in username, first or last name, or email. Default search behavior is prefix-based (e.g., foo or foo*). Use foo for infix search and “foo” for exact search.

usernamestringOptional
A String contained in username, or the complete username, if param "exact" is true

Response

OK
organizationslist of strings or null
idstring or null
usernamestring or null
firstNamestring or null
lastNamestring or null
emailstring or null
emailVerifiedboolean or null
attributesmap from strings to lists of strings or null
userProfileMetadataobject or null
enabledboolean or null
selfstring or null
originstring or null
createdTimestamplong or null
totpboolean or null
serviceAccountClientIdstring or null
credentialslist of objects or null
disableableCredentialTypeslist of strings or null
requiredActionslist of strings or null
federatedIdentitieslist of objects or null
realmRoleslist of strings or null
clientRolesmap from strings to lists of strings or null
clientConsentslist of objects or null
notBeforeinteger or null
groupslist of strings or null
accessmap from strings to booleans or null
applicationRolesmap from strings to lists of strings or nullDeprecated